### Method

# GnomeAutoar Extractor set_output_is_dest

#### Declaration [src]

    void
    autoar_extractor_set_output_is_dest (
      AutoarExtractor* self,
      gboolean output_is_dest
    )

#### Description [src]

By default `AutoarExtractor:output-is-dest` is set to `FALSE`, which means only one file or directory will be created in `AutoarExtractor:output-file`. The destination is internally determined by analyzing the contents of the archive. If this is not wanted, `AutoarExtractor:output-is-dest` can be set to `TRUE`, which will make `AutoarExtractor:output-file` the destination for extracted files. In any case, the destination will be notified via `AutoarExtractor::decide-destination`, when it is possible to set a new destination.

`AutoarExtractor` will attempt to create the destination regardless to whether its path was internally decided or not.

This function should only be called before calling `autoar_extractor_start()` or autoar_extractor_start_async().

Sets property | `GnomeAutoar.Extractor:output-is-dest`

#### Parameters

`output_is_dest`

  Type: `gboolean`

  `TRUE` if `AutoarExtractor:output-file` is the destination for extracted files.